## org.biojava.bio.seq.io.filterxml
Interface XMLAnnotationTypeWriter.XMLCollectionConstraintWriter

Enclosing class:
  XMLAnnotationTypeWriter

    public static interface XMLAnnotationTypeWriter.XMLCollectionConstraintWriter

Writer for types of CollectionConstraint. Implement this to add support for a new type of CollectionConstraint.

Since:
  1.3
Author:
  Thomas Down

Method Summary
`void` `writeCollectionConstraint(CollectionConstraint pc, XMLWriter xw, XMLAnnotationTypeWriter config)`

Method Detail

### writeCollectionConstraint

    void writeCollectionConstraint(CollectionConstraint pc,
                                   XMLWriter xw,
                                   XMLAnnotationTypeWriter config)
                                   throws ClassCastException,
                                          IOException,
                                          IllegalArgumentException

  Throws:
    `ClassCastException`
    `IOException`
    `IllegalArgumentException`